Browse Source

remove --insecure flag from agunua commands

No longer required, since version 1.5.
master
nervuri 4 months ago
parent
commit
c46eb8b3d0
Signed by: nervuri GPG Key ID: C4769EEA7BA61672
  1. 6
      get-hosts.sh

6
get-hosts.sh

@ -14,16 +14,14 @@ cd "$(dirname "$0")" || exit
# If Agunua is installed, use it.
if command -v agunua >/dev/null; then
# Using Agunua is more secure, because it does certificate pinning.
# The --insecure option just makes it accept certificates that are
# not signed by a (known) CA.
hosts1=$(agunua --insecure --binary --maximum-time 20 \
hosts1=$(agunua --binary --maximum-time 20 \
gemini://geminispace.info/known-hosts 2>/dev/null \
| grep "gemini://" | cut -d ' ' -f 3)
if [ -z "$hosts1" ]; then
>&2 echo "geminispace.info/known-hosts download failed."
exit 1
fi
hosts2=$(agunua --insecure --binary --maximum-time 20 \
hosts2=$(agunua --binary --maximum-time 20 \
gemini://gemini.bortzmeyer.org/software/lupa/lupa-capsules.txt 2>/dev/null)
if [ -z "$hosts2" ]; then
>&2 echo "lupa-capsules.txt download failed."

Loading…
Cancel
Save